Bug 48890 - Anaconda crashes intermittently
Anaconda crashes intermittently
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
7.3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Brent Fox
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-07-12 09:15 EDT by Bryan Leopard
Modified: 2007-04-18 12:34 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-07-30 15:16:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Details of install and crash (9.77 KB, text/plain)
2001-07-19 12:13 EDT, Bryan Leopard
no flags Details
anaconda error text file (9.70 KB, text/plain)
2001-07-24 16:44 EDT, Bryan Leopard
no flags Details

  None (edit)
Description Bryan Leopard 2001-07-12 09:15:35 EDT
Server : DL 380G2
ROM   : 6/12/2001
OS      : RedHat 7.2 Beta1
Boot    : Integrated Smart Array 5i (Raid 1)

Anoconda crashes occasionally during RedHat 7.2 installation on DL 380G2.
Comment 1 Matt Wilson 2001-07-12 10:42:10 EDT
*where* does it crash?  After package installation?
Comment 2 Glen Foster 2001-07-13 15:47:28 EDT
This defect considered MUST-FIX for Fairfax gold-release.
Comment 3 Bryan Leopard 2001-07-19 12:13:00 EDT
Created attachment 24148 [details]
Details of install and crash
Comment 4 Bryan Leopard 2001-07-24 16:44:05 EDT
Created attachment 24828 [details]
anaconda error text file
Comment 5 Bryan Leopard 2001-07-24 16:45:37 EDT
HW:
-ProLiant DL360
-(2) 933 Mhz PIII processors
-128 MB RAM
-Integrated Array controller with ROC f/w v. 1.46 enabled as primary boot 
controller
--(2) 18.2 GB Ultra2 drives configured as (1) logical RAID 1 volume

SW:
-Red Hat Linux fairfax beta 2

STEPS TAKEN TO ENCOUNTER PROBLEM:

-Boot from CD 1 

-At language selection, choose 'English'

-At Keyboard Configuration, click 'Next'

-At Mouse Configuration, choose '2 Button Mouse (PS/2)' and 'Emulate 3rd button'

-At 'Welcome Screen' click 'Next'

-At 'Installation Type' screen, select 'Custom'

-At 'Disk Partitioning Setup', select 'Have the installer automatically 
partition for you'

-At 'Automatic Partitioning' screen, select 'Remove all partitions on the 
system'

-Select 'Yes' to 'Remove all Data from Drives' pop-up warning

-At 'Disk Setup' screen, select 'Next'

-At 'Boot Loader Selection' screen, select 'Use GRUB as the boot loader', 
and '/dev/ida/c0d0 Master Boot Record (MBR)' as where to install boot loader

-Configure IP protocol for static IP address at the 'Network Configuration' 
screen

-Select 'No Firewall' at Firewall Configuration screen.

-Click 'Next' at the 'Additional Language Support' screen

-Select 'America/Chicago Central Time'  as Time Zone, 'UTC-06 US Central', 
and 'Use Daylight Savings Time (US Only) ' in the 'Time Zone Selection' screen

-Enter root password and add 1 additional user-account at the 'Account 
Configuration' screen

-Click 'Next' at the 'Authentication Configuration' screen

-Select 'Printer Support', 'Classic X Window System', 'X Window 
System', 'GNOME', 'Network Support', 'Messaging and Web Tools', 'Graphics and 
Image Maninpulation', 'NFS File Server', 'Windows File Server', 'Anonymous FTP 
Server', 'Web Server', 'Authoring and 
Publishing', 'Emacs', 'Utilities', 'Legacy Application Support', 'Software 
Development', 'Kernel Development', 'Windows 
Compatibility/Interoperability', 'Games and Entertainment', at the 'Package 
Group Selection' screen

-Select 'ATI Mach64' at the 'Graphical Interface (X) Configuration' screen

-Click 'Next' at the 'About to Install' screen

-When prompted, insert CD2

-Postinstall operation appears to complete

-Get a notification that the boot loader is being installed, while this is 
occuring I get pop-up screen indicating that Anaconda has failed get prompted 
to save some debug information to a floppy. 

That information is in the text file anacondaerror2.txt
Comment 6 Brent Fox 2001-07-24 17:14:17 EDT
This is a dupe of bug #46810.  I think this was resolved by beta 2.  Please
reopen if it is not.

*** This bug has been marked as a duplicate of 46810 ***
Comment 7 Bryan Leopard 2001-07-30 15:16:37 EDT
After all selected packages are installed, Anaconda proceeds through the 'post-
installation configuration' step, then attempts to load the bootloader selected 
earlier during the installation interview.

Anaconda crashes *here*, if GRUB was selected here as the bootloader earlier 
during the installation interview. 

Above note entered at 7/19/01 2:32:10 PM  by olblack 
============================== 
Re-tested with beta 2 on DL 380G2. Anaconda crases at end of the   installation 
(during Installing bootloader).

Traceback (innermost last):
  File "/usr/bin/anaconda", line 580, in ?
    intf.run(id, dispatch, configFileData)
  File "/usr/lib/anaconda/gui.py", line 340, in run
    self.icw.run (self.runres, configFileData)
  File "/usr/lib/anaconda/gui.py", line 765, in run
    mainloop ()
  File "/usr/lib/python1.5/site-packages/gtk.py", line 2608, in mainloop
    _gtk.gtk_main()
  File "/usr/lib/anaconda/gui.py", line 487, in handleRenderCallback
    self.currentWindow.renderCallback()
  File "/usr/lib/anaconda/iw/progress_gui.py", line 125, in renderCallback
    self.intf.icw.nextClicked()
  File "/usr/lib/anaconda/gui.py", line 389, in nextClicked
    self.dispatch.gotoNext()
  File "/usr/lib/anaconda/dispatch.py", line 131, in gotoNext
    self.moveStep()
  File "/usr/lib/anaconda/dispatch.py", line 196, in moveStep
    rc = apply(func, self.bindArgs(args))
  File "/usr/lib/anaconda/bootloader.py", line 587, in writeBootloader
    justConfigFile)
  File "/usr/lib/anaconda/bootloader.py", line 498, in write
    chainList, defaultDev, justConfig)
  File "/usr/lib/anaconda/bootloader.py", line 428, in writeGrub
    cmd = "root %s\ninstall %s%s/i386-redhat/stage1 d %s %s/i386-redhat/stage2 
p %s%s/grub.conf" %   File "/usr/lib/anaconda/bootloader.py", line 636, in 
grubbyPartitionName
    return "(%s,%d)" % (grubbyDiskName(name), partNum)
  File "/usr/lib/anaconda/bootloader.py", line 616, in grubbyDiskName
    return "hd%d" % drives.index(name)
ValueError: list.index(x): x not in list

Local variables in innermost frame:
drives: ['cciss/c0d0']
name: cciss/c0d

ToDo object:
(iinstdata
InstallData
p1
(dp2
S'configFileData'
p3
(dp4
S'Splashscreen'
S'pixmaps/first.png'
sS'WelcomeScreen'
S'pixmaps/splash.png'
sS'TitleBar'
S'pixmaps/anaconda_header.png'
sS'Title'
S'Red Hat Linux Beta'
ssS'upgradeSwapInfo'
p5
NsS'langSupport'
p6
(ilanguage
Language
p7
(dp8
S'langInfoByName'
p9
(dp10
S'Arabic (Yemen)'
p11
(S'ar_YE'
S'iso06'
S'LatArCyrHeb-16'
tsS'Spanish (Argentina)'
p12
(S'es_AR'
S'iso01'
S'lat0-sun16'
tsS'Italian (Italy)'
p13
(S'it_IT@euro'
S'iso15'
S'lat0-sun16'
tsS'Arabic (Lebanon)'
p14
(S'ar_LB'
S'iso06'
S'LatArCyrHeb-16'
tsS'Spanish (Guatemala)'
p15
(S'es_GT'
S'iso01'
S'lat0-sun16'
tsS'Malay (Malaysia)'
p16
(S'ms_MY'
S'iso01'
S'lat0-sun16'
tsS'Arabic (Libyan Arab Jamahiriya)'
p17
(S'ar_LY'
S'iso06'
S'LatArCyrHeb-16'
tsS'Arabic (Oman)'
p18
(S'ar_OM'
S'iso06'
S'LatArCyrHeb-16'
tsS'Arabic (Iraq)'
p19
(S'ar_IQ'
S'iso06'
S'LatArCyrHeb-16'
tsS'Arabic (Kuwait)'
p20
(S'ar_KW'
S'iso06'
S'LatArCyrHeb-16'
tsS'English (South Africa)'
p21
(S'en_ZA'
S'iso01'
S'lat0-sun16'
tsS'French (Switzerland)'
p22
(S'fr_CH'
S'iso01'
S'lat0-sun16'
tsS'Arabic (Bahrein)'
p23
(S'ar_BH'
S'iso06'
S'LatArCyrHeb-16'
tsS'Croatian'
p24
(S'hr_HR'
S'iso02'
S'lat2-sun16'
tsS'French (France)'
p25
(S'fr_FR@euro'
S'iso15'
S'lat0-sun16'
tsS'Greenlandic (Greenland)'
p26
(S'kl_GL'
S'iso01'
S'lat0-sun16'
tsS'Korean (Republic of Korea)'
p27
(S'ko_KR.euckr'
S'iso01'
S'lat0-16'
tsS'Ukrainian'
p28
(S'uk_UA'
S'koi8-u'
S'cyr-sun16'
tsS'Spanish (Mexico)'
p29
(S'es_MX'
S'iso01'
S'lat0-sun16'
tsS'Greek'
p30
(S'el_GR'
S'iso07'
S'gr.f16'
tsS'Spanish (El Salvador)'
p31
(S'es_SV'
S'iso01'
S'lat0-sun16'
tsS'Spanish (Peru)'
p32
(S'es_PE'
S'iso01'
S'lat0-sun16'
tsS'Spanish (Honduras)'
p33
(S'es_HN'
S'iso01'
S'lat0-sun16'
tsS'Spanish (Costa Rica)'
p34
(S'es_CR'
S'iso01'
S'lat0-sun16'
tsS'English (Denmark)'
p35
(S'en_DK'
S'iso01'
S'lat0-sun16'
tsS'Dutch (Netherlands)'
p36
(S'nl_NL@euro'
S'iso15'
S'lat0-sun16'
tsS'Serbian (Yugoslavia)'
p37
(S'sr_YU@cyrillic'
S'iso05'
S'cyr-sun16'
tsS'Russian (Ukraine)'
p38
(S'ru_UA'
S'koi8-u'
S'cyr-sun16'
tsS'Portuguese (Portugal)'
p39
(S'pt_PT@euro'
S'iso15'
S'lat0-sun16'
tsS'Afrikaans (South Africa)'
p40
(S'af_ZA'
S'iso01'
S'lat0-sun16'
tsS'Norwegian'
p41
(S'no_NO'
S'iso01'
S'lat0-sun16'
tsS'Arabic (Morocco)'
p42
(S'ar_MA'
S'iso06'
S'LatArCyrHeb-16'
tsS'English (Philippines)'
p43
(S'en_PH'
S'iso01'
S'lat0-sun16'
tsS'Arabic (Algeria)'
p44
(S'ar_DZ'
S'iso06'
S'LatArCyrHeb-16'
tsS'Indonesian'
p45
(S'id_ID'
S'iso01'
S'lat0-sun16'
tsS'Danish'
p46
(S'da_DK'
S'iso01'
S'lat0-sun16'
tsS'Chinese (Taiwan R.O.C.)'
p47
(S'zh_TW.euctw'
S'iso01'
S'lat0-16'
tsS'Faroese (Faroe Islands)'
p48
(S'fo_FO'
S'iso01'
S'lat0-sun16'
tsS'Galician (Spain)'
p49
(S'gl_ES@euro'
S'iso15'
S'lat0-sun16'
tsS'English (New Zealand)'
p50
(S'en_NZ'
S'iso01'
S'lat0-sun16'
tsS'Spanish (Bolivia)'
p51
(S'es_BO'
S'iso01'
S'lat0-sun16'
tsS'Cornish (Britain)'
p52
(S'kw_GB'
S'iso01'
S'lat0-sun16'
tsS'Arabic (United Arab Emirates)'
p53
(S'ar_AE'
S'iso06'
S'LatArCyrHeb-16'
tsS'German (Austria)'
p54
(S'de_AT@euro'
S'iso15'
S'lat0-sun16'
tsS'Romanian'
p55
(S'ro_RO'
S'iso02'
S'lat2-sun16'
tsS'Spanish (Paraguay)'
p56
(S'es_PY'
S'iso01'
S'lat0-sun16'
tsS'Hebrew (Israel)'
p57
(S'he_IL'
S'iso08'
S'LatArCyrHeb-16'
tsS'English (USA)'
p58
(S'en_US'
p59
S'iso01'
p60
S'lat0-sun16'
p61
tsS'Spanish (USA)'
p62
(S'es_US'
S'iso01'
S'lat0-sun16'
tsS'Portuguese (Brasil)'
p63
(S'pt_BR'
S'iso01'
S'lat0-sun16'
tsS'Spanish (Equador)'
p64
(S'es_EC'
S'iso01'
S'lat0-sun16'
tsS'Polish'
p65
(S'pl_PL'
S'iso02'
S'lat2-sun16'
tsS'Slovak'
p66
(S'sk_SK'
S'iso02'
S'lat2-sun16'
tsS'Macedonian'
p67
(S'mk_MK'
S'iso05'
S'cyr-sun16'
tsS'Spanish (Spain)'
p68
(S'es_ES@euro'
S'iso15'
S'lat0-sun16'
tsS'Spanish (Chile)'
p69
(S'es_CL'
S'iso01'
S'lat0-sun16'
tsS'Arabic (Syrian Arab Republic)'
p70
(S'ar_SY'
S'iso06'
S'LatArCyrHeb-16'
tsS'Czech'
p71
(S'cs_CZ'
S'iso02'
S'lat2-sun16'
tsS'Irish'
p72
(S'ga_IE@euro'
S'iso15'
S'lat0-sun16'
tsS'Arabic (Jordan)'
p73
(S'ar_JO'
S'iso06'
S'LatArCyrHeb-16'
tsS'Italian (Switzerland)'
p74
(S'it_CH'
S'iso01'
S'lat0-sun16'
tsS'German (Belgium)'
p75
(S'de_BE@euro'
S'iso15'
S'lat0-sun16'
tsS'Albanian'
p76
(S'sq_AL'
S'iso01'
S'lat0-sun16'
tsS'Finnish'
p77
(S'fi_FI@euro'
S'iso15'
S'lat0-sun16'
tsS'Swedish (Sweden)'
p78
(S'sv_SE'
S'iso01'
S'lat0-sun16'
tsS'English (Singapore)'
p79
(S'en_SG'
S'iso01'
S'lat0-sun16'
tsS'Dutch (Belgium)'
p80
(S'nl_BE@euro'
S'iso15'
S'lat0-sun16'
tsS'Spanish (Panama)'
p81
(S'es_PA'
S'iso01'
S'lat0-sun16'
tsS'Spanish (Venezuela)'
p82
(S'es_VE'
S'iso01'
S'lat0-sun16'
tsS'English (Great Britain)'
p83
(S'en_GB'
S'iso01'
S'lat0-sun16'
tsS'Russian'
p84
(S'ru_RU.koi8r'
S'koi8-u'
S'cyr-sun16'
tsS'Norwegian, Nynorsk (Norway)'
p85
(S'nn_NO'
S'iso01'
S'lat0-sun16'
tsS'English (Zimbabwe)'
p86
(S'en_ZW'
S'iso01'
S'lat0-sun16'
tsS'Spanish (Nicaragua)'
p87
(S'es_NI'
S'iso01'
S'lat0-sun16'
tsS'German (Luxemburg)'
p88
(S'de_LU@euro'
S'iso15'
S'lat0-sun16'
tsS'Spanish (Colombia)'
p89
(S'es_CO'
S'iso01'
S'lat0-sun16'
tsS'Basque (Spain)'
p90
(S'eu_ES@euro'
S'iso15'
S'lat0-sun16'
tsS'Arabic (Qatar)'
p91
(S'ar_QA'
S'iso06'
S'LatArCyrHeb-16'
tsS'Arabic (Egypt)'
p92
(S'ar_EG'
S'iso06'
S'LatArCyrHeb-16'
tsS'French (Belgium)'
p93
(S'fr_BE@euro'
S'iso15'
S'lat0-sun16'
tsS'English (Ireland)'
p94
(S'en_IE@euro'
S'iso15'
S'lat0-sun16'
tsS'Hungarian'
p95
(S'hu_HU'
S'iso02'
S'lat2-sun16'
tsS'Arabic (Tunisia)'
p96
(S'ar_TN'
S'iso06'
S'LatArCyrHeb-16'
tsS'French (Luxemburg)'
p97
(S'fr_LU@euro'
S'iso15'
S'lat0-sun16'
tsS'Japanese'
p98
(S'ja_JP.eucJP'
S'iso01'
S'lat0-16'
tsS'Swedish (Finland)'
p99
(S'sv_FI@euro'
S'iso15'
S'lat0-sun16'
tsS'Arabic (Saudi Arabia)'
p100
(S'ar_SA'
S'iso06'
S'LatArCyrHeb-16'
tsS'Spanish (Dominican Republic)'
p101
(S'es_DO'
S'iso01'
S'lat0-sun16'
tsS'French (Canada)'
p102
(S'fr_CA'
S'iso01'
S'lat0-sun16'
tsS'English (Canada)'
p103
(S'en_CA'
S'iso01'
S'lat0-sun16'
tsS'German (Germany)'
p104
(S'de_DE@euro'
S'iso15'
S'lat0-sun16'
tsS'Slovenian (Slovenia)'
p105
(S'sl_SI'
S'iso02'
S'lat2-sun16'
tsS'Spanish (Uruguay)'
p106
(S'es_UY'
S'iso01'
S'lat0-sun16'
tsS'German (Switzerland)'
p107
(S'de_CH'
S'iso01'
S'lat0-sun16'
tsS'English (Hong Kong)'
p108
(S'en_HK'
S'iso01'
S'lat0-sun16'
tsS'English (Australia)'
p109
(S'en_AU'
S'iso01'
S'lat0-sun16'
tsS'Catalan (Spain)'
p110
(S'ca_ES@euro'
S'iso15'
S'lat0-sun16'
tsS'Spanish (Puerto Rico)'
p111
(S'es_PR'
S'iso01'
S'lat0-sun16'
tsS'Turkish'
p112
(S'tr_TR'
S'iso09'
S'lat5-sun16'
tsS'Estonian'
p113
(S'et_EE'
S'iso01'
S'lat0-sun16'
tsS'Arabic (Sudan)'
p114
(S'ar_SD'
S'iso06'
S'LatArCyrHeb-16'
tsS'Icelandic'
p115
(S'is_IS'
S'iso01'
S'lat0-sun16'
tsS'English (Botswana)'
p116
(S'en_BW'
S'iso01'
S'lat0-sun16'
tsS'Manx Gaelic (Britain)'
p117
(S'gv_GB'
S'iso01'
S'lat0-sun16'
tssS'allSupportedLangs'
p118
(lp119
g40
ag76
ag44
ag23
ag92
ag19
ag73
ag20
ag14
ag17
ag42
ag18
ag91
ag100
ag114
ag70
ag96
ag53
ag11
ag90
ag110
ag47
ag52
ag24
ag71
ag46
ag80
ag36
ag109
ag116
ag103
ag35
ag83
ag108
ag94
ag50
ag43
ag79
ag21
ag58
ag86
ag113
ag48
ag77
ag93
ag102
ag25
ag97
ag22
ag49
ag54
ag75
ag104
ag88
ag107
ag30
ag26
ag57
ag95
ag115
ag45
ag72
ag13
ag74
ag98
ag27
ag67
ag16
ag117
ag41
ag85
ag65
ag63
ag39
ag55
ag84
ag38
ag37
ag66
ag105
ag12
ag51
ag69
ag89
ag34
ag101
ag31
ag64
ag15
ag33
ag29
ag87
ag81
ag56
ag32
ag111
ag68
ag62
ag106
ag82
ag99
ag78
ag112
ag28
asS'info'
p120
(dp121
S'SYSFONT'
p122
g61
sS'SUPPORTED'
p123
S'en_US:en'
p124
sS'SYSFONTACM'
p125
g60
sS'LANG'
p126
g59
ssS'supported'
p127
(lp128
S'English (USA)'
asS'default'
p129
S'English (USA)'
sbsS'rootPassword'
p130
NsS'diskset'
p131
(ipartitioning
DiskSet
p132
(dp133
S'disks'
p134
(dp135
S'cciss/c0d0'

<failed>
 
Comment 8 Jeremy Katz 2001-07-30 19:03:50 EDT
Should be fixed in beta 3.  Please reopen if you still encounter problems

Note You need to log in before you can comment on or make changes to this bug.